dbXML API

## org.dbxml.tools.command
Class AddCollection

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.AddCollection

public class AddCollection
extends Command

AddCollection.java is designed to let the user create new Collections and Nested Collections within the Database.

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`AddCollection()`

Method Summary
`boolean` `execute(java.util.Hashtable table)` TODO: Description of the Method
`org.w3c.dom.Document` `newCollection(java.lang.String name)` TODO: Description of the Method

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddCollection

    public AddCollection()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  TODO: Description of the Method
  Overrides:
    `execute` in class `Command`
  Parameters:
    `table` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.lang.Exception` - Description of Exception

### newCollection

    public org.w3c.dom.Document newCollection(java.lang.String name)

  TODO: Description of the Method
  Parameters:
    `name` - Description of Parameter
  Returns:
    Description of the Returned Value

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved